# Switch the key of an existing product **POST /v2/api/products/keyswitch** This endpoint is used to switch the key of an existing product and place the old one as a sku synonym ## Servers - https://api.maddenanalytics.com: https://api.maddenanalytics.com () ## Parameters ### Body: application/json (array[object]) - **ean** (string) EAN of Variant - **info** (object) Any info / data needed by the integration (json) - **key** (string) Updated Key. Usually SKU or EAN but needs to be same on all occurrences - **oldKey** (string) Key to update, transaction & stock tables. Usually SKU or EAN but needs to be same on all occurrences - **productGroupID** (string) Optional ProductGroupID is used to group products together within Madden - **season** (string) Season that the product belongs to - **sku** (string) Updated SKU - **variantGroupID** (string) Optional VariantGroupID is used to group variants ## Responses ### 200 OK #### Body: application/json (array[object]) - **message** (string) - **reference** (string) - **referenceField** (string) - **statusCode** (integer) ### default All errors will return the same object with a describing code & message #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) [Powered by Bump.sh](https://bump.sh)